[solved]Qt 5.3.1 Android building package failed



  • I have recently installed Qt. I was following this tutorial, how to deploy on android https://www.youtube.com/watch?v=_nkhlhBwkjk.

    I tried to deploy default program on my Xperia L. Qt Creator found my device, build without problems, but deployment failed.

    @23:55:44: Prováděn postup pro projekt aaa...
    23:55:44: Nastavení nezměněno. Přeskakuje se krok qmake.
    23:55:44: Spouští se: "C:\Qt\Tools\mingw482_32\bin\mingw32-make.exe"
    mingw32-make: Nothing to be done for 'first'.
    23:55:45: Proces "C:\Qt\Tools\mingw482_32\bin\mingw32-make.exe" byl ukončen obvyklým způsobem.
    23:55:45: Odstraňuje se adresář C:\Users\Sony\Desktop\Programing\a\build\android-build
    23:55:46: Spouští se: "C:\Qt\Tools\mingw482_32\bin\mingw32-make.exe" INSTALL_ROOT="C:\\Users\\Sony\\Desktop\\Programing\\a\\build\\android-build" install
    copy /y "libaaa.so" "C:\Users\Sony\Desktop\Programing\a\build\android-build\libs\armeabi-v7a\libaaa.so"
    1 file(s) copied.
    23:55:46: Proces "C:\Qt\Tools\mingw482_32\bin\mingw32-make.exe" byl ukončen obvyklým způsobem.
    23:55:46: Spouští se: "C:\Qt\5.3\android_armv7\bin\androiddeployqt.exe" --input C:/Users/Sony/Desktop/Programing/a/build/android-libaaa.so-deployment-settings.json --output C:/Users/Sony/Desktop/Programing/a/build/android-build --deployment bundled --install --ant C:/Android/Apache/apache-ant-1.9.4/bin/ant.bat --android-platform android-17 --jdk "C:/Program Files (x86)/Java/jdk1.8.0_05" --device ZH8000DGQL
    23:55:46: Nahrávají se soubory nezbytné pro ladění.
    23:55:46: Nasazení balíčku: Spouští se příkaz 'C:/Android/AndroidSDK/SDK/sdk/platform-tools/adb.exe -s ZH8000DGQL pull /system/bin/app_process C:/Users/Sony/Desktop/Programing/a/build/app_process'.
    23:55:46: Nasazení balíčku: Spouští se příkaz 'C:/Android/AndroidSDK/SDK/sdk/platform-tools/adb.exe -s ZH8000DGQL pull /system/lib/libc.so C:/Users/Sony/Desktop/Programing/a/build/libc.so'.

    BUILD FAILED
    C:\Android\AndroidSDK\SDK\sdk\tools\ant\build.xml:483: The SDK Build Tools revision (19.0.3) is too low for project 'QtApp'. Minimum required is 19.1.0

    Total time: 0 seconds
    Generating Android Package
    Input file: C:/Users/Sony/Desktop/Programing/a/build/android-libaaa.so-deployment-settings.json
    Output directory: C:/Users/Sony/Desktop/Programing/a/build/android-build
    Application binary: C:/Users/Sony/Desktop/Programing/a/build/libaaa.so
    Android build platform: android-17
    Install to device: ZH8000DGQL
    Unable to locate tools.jar. Expected to find it in C:\Program Files (x86)\Java\jre8\lib\tools.jar
    Buildfile: C:\Users\Sony\Desktop\Programing\a\build\android-build\build.xml

    -set-mode-check:

    -set-debug-files:

    -check-env:
    [checkenv] Android SDK Tools Revision 23.0.2
    [checkenv] Installed at C:\Android\AndroidSDK\SDK\sdk

    -setup:
    [echo] Project Name: QtApp
    [gettype] Project Type: Application

    -set-debug-mode:

    -debug-obfuscation-check:

    -pre-build:

    -build-setup:
    [getbuildtools] Using latest Build Tools: 19.0.3
    Building the android package failed!
    -- For more information, run this command with --verbose.
    23:55:51: Proces "C:\Qt\5.3\android_armv7\bin\androiddeployqt.exe" byl ukončen. Vrácená hodnota 14.
    Chyba při sestavování/nasazování projektu aaa (sada: Android pro armeabi-v7a (GCC 4.8, Qt 5.3.1))
    Při provádění kroku 'Poslat na zařízení Android'
    23:55:51: Uplynulý čas: 00:07.@

    Thank you



  • Hi, Zondar.

    bq. BUILD FAILED
    C:\Android\AndroidSDK\SDK\sdk\tools\ant\build.xml:483: The SDK Build Tools revision (19.0.3) is too low for project 'QtApp'. Minimum required is 19.1.0

    Try to update you Android SDK Build tools to version 19.1 via Android SDK Manager.



  • I had wrong JAVA_HOME path, not it's working :-).

    Thank you :-).


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.